nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kiran chitturi <chitturikira...@gmail.com>
Subject Re: patches to parse-metatag plugin to save mutliValues
Date Wed, 10 Oct 2012 11:53:34 GMT
Hi Lewis,

This is the problem i observed with few of the plugins as i have explained
in my last email. They use code which is compatible with 1.5 but not with
2.0. Right now, i am almost done with porting parse-metatags and
index-metadata to nutch 2.x. I can look in to other plugins after this to
fix the code.

Regards,
Kiran.

On Wed, Oct 10, 2012 at 6:42 AM, Lewis John Mcgibbney <
lewis.mcgibbney@gmail.com> wrote:

> Hi Kiran,
>
> There is an issue open in Jira for this [0], it would be really
> appreciated if you could add your observations/discoveries to it and
> we can get it logged and hopefully fixed.
>
> Thanks again
>
> Lewis
>
> [0] https://issues.apache.org/jira/browse/NUTCH-874
>
> On Thu, Oct 4, 2012 at 7:20 PM, kiran chitturi
> <chitturikiran15@gmail.com> wrote:
> > Hi Lewis,
> >
> > I am checking out the 2.x branch in eclipse and i came across some
> errors in
> > the plugins. The errors show some classes that are used in plugins and
> are
> > not present in 2.x
> >
> > SWFParser.java
> > org.apache.nutch.util.LogUtil
> >
> > ZipParser.java, ZipTextExtractor.java, TextExtParser.java,
> > FeedIndexingFilter.java, FeedParser.java, TestFeedParser.java,
> > TestZipParser.java, ExtParser.java
> > (
> http://svn.apache.org/repos/asf/nutch/branches/2.x/src/java/org/apache/nutch/parse/
> )
> > import org.apache.nutch.parse.ParseData;
> > import org.apache.nutch.parse.ParseImpl;
> > import org.apache.nutch.parse.ParseResult;
> > import org.apache.nutch.parse.ParseStatus;
> > import org.apache.nutch.parse.ParseText;
> >
> > TestExtParser.java, FeedIndexingFilter.java, TestFeedParser.java,
> > TestZipParser.java, TestSWFParser.java
> > (
> http://svn.apache.org/repos/asf/nutch/branches/2.x/src/java/org/apache/nutch/crawl/
> )
> > import org.apache.nutch.crawl.CrawlDatum;
> > import org.apache.nutch.crawl.Inlinks;
> >
> > TikaParser.java
> > import org.apache.tika.parser.html.HtmlMapper;
> >
> > The classes i listed use some or all of the classes below.
> >
> > Am i wrong or are there any plugins that are present in 2.x that are
> using
> > the old 1.x series classes ? If i am true, then this looks like a issue
> > among plugins to be compatible with 2.x series.
> >
> > Many Thanks,
> > Kiran.
> >
> > On Thu, Oct 4, 2012 at 12:09 PM, Lewis John Mcgibbney
> > <lewis.mcgibbney@gmail.com> wrote:
> >>
> >> Hi Kiran,
> >>
> >> On Thu, Oct 4, 2012 at 3:25 PM, kiran chitturi
> >> <chitturikiran15@gmail.com> wrote:
> >> > Hi,
> >>
> >> > Thank you for your inputs. I am gonna try to start working on the
> plugin
> >> > to
> >> > make it work for 2.x branches.
> >>
> >> Great
> >>
> >> >
> >> > I have noticed that the current released version is 2.1 and i am
> >> > wondering
> >> > which version should i start working on?  2.0 or 2.1 ?
> >>
> >> If you could begin work on the source available at the following link
> >> that would be excellent.
> >>
> >> http://svn.apache.org/repos/asf/nutch/branches/2.x/
> >>
> >> thank you
> >>
> >> Lewis
> >
> >
> >
> >
> > --
> > Kiran Chitturi
> >
>
>
>
> --
> Lewis
>



-- 
Kiran Chitturi

Mime
View raw message